<html>
    <head>
        <title>Rabbitmq Deployment</title>
    </head>    
<body>

  <p><center>  <h1>Rabbitmq As PAAS </h1> </center></p>
 <H3>Kindly enter the suitable values to create the rabbitmq service in our cloud</H3>

 
<form id="rabbitmq_pipeline" name="rabbitmq_pipeline" >

<label>Rabbitmq User: </label>

<input type="Text" name="username" id="username" size="20"><br>
<label>Rabbtimq Password:</label>

<input type="password" name="password" id="password" size="20"><br>
<label>Rabbitmq name:</label>

<input type="Text" name="name" id="name" size="20"><br>
<label>Enable Rabbitmq cluster:</label>

<input type="Text" name="enable_cluster" id="enable_cluster" size="20"><br>
<label>No of Replicas:</label>

<input type="number" name="replica" id= "replica" size="20"><br>

<input name="values"  type="submit" value="TriggerPipeline"/>
</form>


<div id="pipeline-after" style="display:none;">
  <p id="api-output">Please stand by...</p>
  </div>
  <script type="text/javascript">
    var formdata = document.getElementById('rabbitmq_pipeline');
    formdata.addEventListener('submit', handleClick);
    function handleClick($event) {  
      var formdata = document.getElementById('rabbitmq_pipeline');                   
      var data= new FormData(formdata)
      console.log(data)
      $event.preventDefault()
    }

  </script> 
</body>
</html>
